import pandas as pd
import numpy as np

data=pd.read_csv('gy521.csv')

#remove incomplete last line
data=data.drop(2634)
#remove double ones in col 's'
mask=(data['s']==1) & (data.shift(1)['s']==1)
data.at[mask,'s']=0

predictors=['ax','ay','az','wx','wy','wz']

#build training data as a list of
#sequences of 12 consecutive timeframes
seqLength=12
X=[]
for i in range(len(data['s'])-seqLength):
   X.append(data.loc[i:i+seqLength-1,predictors])

#shape of X should now be:
#(numb. of timeframes-seqLength, seqLength, numb. of predictors)
X=np.array(X)
Y=data.loc[0:2634-seqLength-1,'s']

from keras.models import Sequential
from keras.layers import Dense, LSTM

model = Sequential()
model.add(LSTM(32, input_shape=(seqLength,6)))
model.add(Dense(1, activation='sigmoid'))
model.compile(optimizer='rmsprop', loss='binary_crossentropy', 
	metrics=['accuracy'])
model.fit(X, Y, batch_size=32, epochs=30)
